> For the complete documentation index, see [llms.txt](https://docs.elastiflow.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.elastiflow.com/trapcoll/api-reference-overview/metrics.md).

# Metrics

NetObserv SNMP Trap exposes the `/metrics` endpoint to provide Prometheus-compatible statistics related to its performance and the resources it uses.

The endpoint returns data in a Prometheus text-based exposition format. Please refer to the [Prometheus documentation](https://prometheus.io/docs/introduction/overview) to learn more.

### Information

This section describes the information metrics that can be retrieved from the `/metrics` endpoint.

#### app\_info

`app_info` provides application details. The following is an example of an `app_info` record:

```shell
app_info{arch="arm64",cpus="10",env="native",hostname="M1-MacBook-Pro.local",instance_name="default",os="darwin",run_id="9fe34dd8-ff35-4bb5-bff8-1ba2b1547efb",version="7.5"} 1
```

The `app_info` data provides the following labels:

| Label           | Description                          |
| --------------- | ------------------------------------ |
| `arch`          | environment running application      |
| `cpus`          | number of cpus available             |
| `env`           | native install or Docker             |
| `hostname`      | name of machine                      |
| `instance_name` | name of the collector instance       |
| `os`            | operating system running application |
| `run_id`        | run id of application                |
| `version`       | version of the collector             |

#### license\_info

`license_info` provides license details. The following is an example of a `license_info` record:

```shell
license_info{account_id="account_id",application="trapcoll",expiration="1772150400",instance_name="default",level="7"} 1
```

The `license_info` record provides the following labels:

| Label           | Description                         |
| --------------- | ----------------------------------- |
| `account_id`    | account id of license               |
| `application`   | name of the application             |
| `expiration`    | license expiration date (unix time) |
| `instance_name` | name of the collector instance      |
| `level`         | license level.                      |

#### license\_telemetry\_hosts

`license_telemetry_hosts` provides the maximum number of SNMP trap devices that can push traps to the collector according to the license and configurations. The following is an example of a `license_telemetry_hosts` record:

```shell
license_telemetry_hosts{application="snmpcoll",instance_name="default"} 100
```

The `license_telemetry_hosts` record provides the following labels:

| Label           | Description                    |
| --------------- | ------------------------------ |
| `application`   | name of the application        |
| `instance_name` | name of the collector instance |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.elastiflow.com/trapcoll/api-reference-overview/metrics.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
